package com.wecloud.im.sdk.model.message;

import com.wecloud.im.sdk.enums.MessageTypeEnum;

/**
 *
 * @Author luozh
 * @Date 2022年05月26日 14:09
 * @Version 1.0
 */
public class WecloudImBaseMessage extends WecloudImMessage {

    public WecloudImBaseMessage(MessageTypeEnum type) {
        this.setType(type);
    }

    /**
     * 设置类型
     * @Author luozh
     * @Date 2022年05月07日 01:55:06
     * @param type
     * @Return
     */
    protected void setType(MessageTypeEnum type) {
        this.put("type", type.getCode());
    }

    protected void setAttrs(Object attrs) {
        this.put("attrs", attrs);
    }
}
